Intel® oneAPI DPC++/C++ Compiler
Talk to fellow users of Intel® oneAPI DPC++/C++ Compiler and companion tools like Intel® oneAPI DPC++ Library, Intel® DPC++ Compatibility Tool, and Intel® Distribution for GDB*
603 Discussions

Deployment of a SYCL app to environment w/o SYCL compiler installed

Lucie
Novice
989 Views

Hello Intel Community,

thanks for providing the oneAPI toolkits for programming with SYCL. I am currently using oneAPI Base Toolkit and developing a SYCL app using a GPU on Windows and I would like to deploy the app to an environment without the toolkit installed. I followed the instructions here Redistribute Libraries When Deploying Applications (intel.com) . However, there is a missing list for SYCL in section "Shared Library Dependencies for Device Offload". Is it incomplete or should my app work just with the dependencies listed by dumpbin? 

$ dumpbin /DEPENDENTS SYCLapp.exe
Microsoft (R) COFF/PE Dumper Version 14.00.24245.0
Copyright (C) Microsoft Corporation. All rights reserved.

Dump of file SYCLapp.exe

File Type: EXECUTABLE IMAGE

Image has the following dependencies:
MSVCP140.dll
libmmd.dll
sycl6.dll
VCRUNTIME140.dll
api-ms-win-crt-stdio-l1-1-0.dll
api-ms-win-crt-heap-l1-1-0.dll
api-ms-win-crt-string-l1-1-0.dll
api-ms-win-crt-runtime-l1-1-0.dll
api-ms-win-crt-filesystem-l1-1-0.dll
api-ms-win-crt-math-l1-1-0.dll
api-ms-win-crt-locale-l1-1-0.dll
api-ms-win-crt-environment-l1-1-0.dll
KERNEL32.dll

I put libmmd.dll and sycl6.dll next to my executable, so it is not complaining about those. On a device with Intel Atom x6425E, I am getting the following error. Does it mean the platform is not supported or am I still missing some SYCL libraries?

No device of requested type is available. Please check https://software.intel.com/content/www/us/en/develop/articles/intel-oneapi-dpcpp-system-requirements.html -1 (PI_ERROR_DEVICE_NOT_FOUND)
Caught exception: No device of requested type available. lease check https://software.intel.com/content/www/us/en/develop/articles/intel-oneapi-dpcpp-system-requirements.html -1 (PI_ERROR_DEVICE_NOT_FOUND)

Output of sycl-ls --verbose:

Platforms: 0
default_selector()      : No device of requested type available. Please chec...
accelerator_selector()  : No device of requested type available. Please chec...
cpu_selector()          : No device of requested type available. Please chec...
gpu_selector()          : No device of requested type available. Please chec...
custom_selector(gpu)    : No device of requested type available. Please chec...
custom_selector(cpu)    : No device of requested type available. Please chec...
custom_selector(acc)    : No device of requested type available. Please chec...

 

Kind regards,

Lucie

0 Kudos
5 Replies
SeshaP_Intel
Moderator
936 Views

Hi,


Thank you for posting in Intel Communities.


As per the Base toolkit system requirements, the Intel Atom x6425E processor is unsupported. Please refer to the system requirements link for the Intel oneAPI base toolkit.

https://www.intel.com/content/www/us/en/developer/articles/system-requirements/intel-oneapi-base-toolkit-system-requirements.html

 

The resolution of a DLL file is done by either setting the PATH environment variable or locating the DLL file in the same directory as the executable file.

Could you please try installing the Intel oneAPI DPC++/C++ Compiler Runtime package from the below link on the supported hardware and let us know the results?

https://www.intel.com/content/www/us/en/developer/articles/tool/oneapi-standalone-components.html#inpage-nav-3


Thanks and Regards,

Pendyala Sesha Srinivas


0 Kudos
Lucie
Novice
916 Views

Hello,

thank you for your response. 

Intel Atom is then not supported in general, correct? 

Does it mean I have to always ship the Intel oneAPI DPC++/C++ Compiler Runtime together with my SYCL app to deploy it on a (supported) hardware where compiler is not installed?

 

Cheers,

Lucie

0 Kudos
SeshaP_Intel
Moderator
868 Views

Hi,



>>>  Intel Atom is then not supported in general, correct? 

As per the Intel® oneAPI Base Toolkit and Intel® oneAPI DPC++/C++ Compiler System Requirements, the below family processors are supported.


Intel® Core™ processor family or higher

Intel® Xeon® processor family

Intel® Xeon® Scalable processor family


Please refer to the below links for more information.

https://www.intel.com/content/www/us/en/developer/articles/system-requirements/intel-oneapi-base-toolkit-system-requirements.html


https://www.intel.com/content/www/us/en/developer/articles/system-requirements/intel-oneapi-dpcpp-system-requirements.html


>>>  Does it mean I have to always ship the Intel oneAPI DPC++/C++ Compiler Runtime together with my SYCL app to deploy it on a (supported) hardware where compiler is not installed?


Yes, you need to have the Intel oneAPI DPC++/C++ Compiler Runtime package to run the application.


Is your issue resolved? If yes, could you please confirm whether we can close this thread from our end?


Thanks and Regards,

Pendyala Sesha Srinivas


Lucie
Novice
864 Views

Yes. Thank you for the clear response, SeshaP_intel.

0 Kudos
SeshaP_Intel
Moderator
852 Views

Hi,


Thanks for the confirmation. This thread will no longer be monitored by Intel. If you need further assistance, please post a new question.


Thanks and Regards,

Pendyala Sesha Srinivas


0 Kudos
Reply